# frozen_string_literal: true

lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'arcrest/version'

Gem::Specification.new do |spec|
  spec.name          = 'arcrest'
  spec.version       = ArcREST::VERSION
  spec.authors       = ['matzfan']
  spec.email         = ['matzfan@yandex.com']

  spec.summary       = 'Wrapper for ArcGIS REST API'
  spec.description   = 'Wrapper for ArcGIS REST API'
  spec.homepage      = 'https://gitlab.com/matzfan/arcrest'
  spec.required_ruby_version = '>= 2.4'
  spec.license = 'MIT'

  spec.files = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 2.1'
  spec.add_development_dependency 'guard', '~> 2.14'
  spec.add_development_dependency 'guard-rspec', '~> 4.7'
  spec.add_development_dependency 'libnotify', '~> 0.9' # guard notifications
  spec.add_development_dependency 'rake', '~> 13.0'
  spec.add_development_dependency 'rspec', '~> 3.10'
  spec.add_development_dependency 'rubocop', '~> 1.3'

  spec.add_runtime_dependency 'curb', '~> 0.9.11'
end
